Command reference
deployments agent
Agent definitions and lifecycle shortcuts
| Command | Summary |
|---|---|
deployments agent create | Create an agent definition |
deployments agent list | List agent definitions |
deployments agent show | Show an agent definition |
deployments agent update | Update an agent definition |
deployments agent release | Create an immutable agent release |
deployments agent deploy | Deploy an agent release |
deployments agent archive | Archive an agent definition |
deployments agent create
Create an agent definition.
deployments agent create --manifest <json>- Calls
POST /v1/agent-definitions(SDKcreateAgentDefinition). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--manifest | string (json) | yes | Agent manifest JSON |
Also accepts the global flags.
deployments agent list
List agent definitions.
deployments agent list- Calls
GET /v1/agent-definitions(SDKlistAgentDefinitions). - Needs an environment:
--envor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size |
Also accepts the global flags.
deployments agent show
Show an agent definition.
deployments agent show <id>- Calls
GET /v1/agent-definitions/{id}(SDKgetAgentDefinition). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments agent update
Update an agent definition.
deployments agent update <id> --manifest <json> --expected-version <number>- Calls
PATCH /v1/agent-definitions/{id}(SDKupdateAgentDefinition). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--manifest | string (json) | yes | Agent manifest JSON | |
--expected-version | string (number) | yes | Expected resource version |
Also accepts the global flags.
deployments agent release
Create an immutable agent release.
deployments agent release <id> --expected-version <number>- Calls
POST /v1/agent-definitions/{id}/releases(SDKpublishAgentRelease). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Expected agent definition version |
Also accepts the global flags.
deployments agent deploy
Deploy an agent release.
deployments agent deploy --release <release>- Calls
POST /v1/agent-deployments(SDKcreateAgentDeployment). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--release | string | yes | Agent release ID | |
--desired-state | string | running or paused | ||
--runtime-config | string (json) | Deployment runtime configuration |
Also accepts the global flags.
deployments agent archive
Archive an agent definition.
deployments agent archive <id> --expected-version <number>- Calls
DELETE /v1/agent-definitions/{id}(SDKarchiveAgentDefinition). - Needs an environment:
--envor the saved context. - Destructive. Live runs ask for confirmation; pass
--yesin scripts or with--json. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID | |
--expected-version | string (number) | yes | Expected resource version |
Also accepts the global flags.